1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18# Copyright by The HDF Group.
19# Copyright by the Board of Trustees of the University of Illinois.
20# All rights reserved.
21#
22# This file is part of HDF5.  The full HDF5 copyright notice, including
23# terms governing use, modification, and redistribution, is contained in
24# the COPYING file, which can be found at the root of the source code
25# distribution tree, or in https://support.hdfgroup.org/ftp/HDF5/releases.
26# If you do not have access to either file, you may request a copy from
27# help@hdfgroup.org.
28#
29# HDF5 Library Makefile(.in)
30#
31
32VPATH = @srcdir@
33am__is_gnu_make = { \
34  if test -z '$(MAKELEVEL)'; then \
35    false; \
36  elif test -n '$(MAKE_HOST)'; then \
37    true; \
38  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
39    true; \
40  else \
41    false; \
42  fi; \
43}
44am__make_running_with_option = \
45  case $${target_option-} in \
46      ?) ;; \
47      *) echo "am__make_running_with_option: internal error: invalid" \
48              "target option '$${target_option-}' specified" >&2; \
49         exit 1;; \
50  esac; \
51  has_opt=no; \
52  sane_makeflags=$$MAKEFLAGS; \
53  if $(am__is_gnu_make); then \
54    sane_makeflags=$$MFLAGS; \
55  else \
56    case $$MAKEFLAGS in \
57      *\\[\ \	]*) \
58        bs=\\; \
59        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
60          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
61    esac; \
62  fi; \
63  skip_next=no; \
64  strip_trailopt () \
65  { \
66    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
67  }; \
68  for flg in $$sane_makeflags; do \
69    test $$skip_next = yes && { skip_next=no; continue; }; \
70    case $$flg in \
71      *=*|--*) continue;; \
72        -*I) strip_trailopt 'I'; skip_next=yes;; \
73      -*I?*) strip_trailopt 'I';; \
74        -*O) strip_trailopt 'O'; skip_next=yes;; \
75      -*O?*) strip_trailopt 'O';; \
76        -*l) strip_trailopt 'l'; skip_next=yes;; \
77      -*l?*) strip_trailopt 'l';; \
78      -[dEDm]) skip_next=yes;; \
79      -[JT]) skip_next=yes;; \
80    esac; \
81    case $$flg in \
82      *$$target_option*) has_opt=yes; break;; \
83    esac; \
84  done; \
85  test $$has_opt = yes
86am__make_dryrun = (target_option=n; $(am__make_running_with_option))
87am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
88pkgdatadir = $(datadir)/@PACKAGE@
89pkgincludedir = $(includedir)/@PACKAGE@
90pkglibdir = $(libdir)/@PACKAGE@
91pkglibexecdir = $(libexecdir)/@PACKAGE@
92am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
93install_sh_DATA = $(install_sh) -c -m 644
94install_sh_PROGRAM = $(install_sh) -c
95install_sh_SCRIPT = $(install_sh) -c
96INSTALL_HEADER = $(INSTALL_DATA)
97transform = $(program_transform_name)
98NORMAL_INSTALL = :
99PRE_INSTALL = :
100POST_INSTALL = :
101NORMAL_UNINSTALL = :
102PRE_UNINSTALL = :
103POST_UNINSTALL = :
104build_triplet = @build@
105host_triplet = @host@
106bin_PROGRAMS = gif2h5$(EXEEXT) h52gif$(EXEEXT)
107noinst_PROGRAMS = h52gifgentst$(EXEEXT)
108TESTS = $(TEST_SCRIPT)
109subdir = hl/tools/gif2h5
110ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
111am__aclocal_m4_deps = $(top_srcdir)/m4/aclocal_cxx.m4 \
112	$(top_srcdir)/m4/aclocal_fc.m4 $(top_srcdir)/configure.ac
113am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
114	$(ACLOCAL_M4)
115DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
116mkinstalldirs = $(SHELL) $(top_srcdir)/bin/mkinstalldirs
117CONFIG_HEADER = $(top_builddir)/src/H5config.h
118CONFIG_CLEAN_FILES = h52giftest.sh
119CONFIG_CLEAN_VPATH_FILES =
120am__installdirs = "$(DESTDIR)$(bindir)"
121PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
122am_gif2h5_OBJECTS = gif2hdf.$(OBJEXT) gif2mem.$(OBJEXT) \
123	decompress.$(OBJEXT) gifread.$(OBJEXT) writehdf.$(OBJEXT)
124gif2h5_OBJECTS = $(am_gif2h5_OBJECTS)
125gif2h5_LDADD = $(LDADD)
126gif2h5_DEPENDENCIES = $(LIBH5_HL) $(LIBH5TOOLS) $(LIBHDF5)
127AM_V_lt = $(am__v_lt_@AM_V@)
128am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
129am__v_lt_0 = --silent
130am__v_lt_1 =
131gif2h5_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
132	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
133	$(gif2h5_LDFLAGS) $(LDFLAGS) -o $@
134am_h52gif_OBJECTS = hdf2gif.$(OBJEXT) hdfgifwr.$(OBJEXT)
135h52gif_OBJECTS = $(am_h52gif_OBJECTS)
136h52gif_LDADD = $(LDADD)
137h52gif_DEPENDENCIES = $(LIBH5_HL) $(LIBH5TOOLS) $(LIBHDF5)
138h52gif_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
139	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
140	$(h52gif_LDFLAGS) $(LDFLAGS) -o $@
141am_h52gifgentst_OBJECTS = h52gifgentst.$(OBJEXT)
142h52gifgentst_OBJECTS = $(am_h52gifgentst_OBJECTS)
143h52gifgentst_LDADD = $(LDADD)
144h52gifgentst_DEPENDENCIES = $(LIBH5_HL) $(LIBH5TOOLS) $(LIBHDF5)
145AM_V_P = $(am__v_P_@AM_V@)
146am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
147am__v_P_0 = false
148am__v_P_1 = :
149AM_V_GEN = $(am__v_GEN_@AM_V@)
150am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
151am__v_GEN_0 = @echo "  GEN     " $@;
152am__v_GEN_1 =
153AM_V_at = $(am__v_at_@AM_V@)
154am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
155am__v_at_0 = @
156am__v_at_1 =
157DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src
158depcomp = $(SHELL) $(top_srcdir)/bin/depcomp
159am__depfiles_maybe = depfiles
160am__mv = mv -f
161COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
162	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
163LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
164	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
165	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
166	$(AM_CFLAGS) $(CFLAGS)
167AM_V_CC = $(am__v_CC_@AM_V@)
168am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
169am__v_CC_0 = @echo "  CC      " $@;
170am__v_CC_1 =
171CCLD = $(CC)
172LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
173	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
174	$(AM_LDFLAGS) $(LDFLAGS) -o $@
175AM_V_CCLD = $(am__v_CCLD_@AM_V@)
176am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
177am__v_CCLD_0 = @echo "  CCLD    " $@;
178am__v_CCLD_1 =
179SOURCES = $(gif2h5_SOURCES) $(h52gif_SOURCES) $(h52gifgentst_SOURCES)
180DIST_SOURCES = $(gif2h5_SOURCES) $(h52gif_SOURCES) \
181	$(h52gifgentst_SOURCES)
182am__can_run_installinfo = \
183  case $$AM_UPDATE_INFO_DIR in \
184    n|no|NO) false;; \
185    *) (install-info --version) >/dev/null 2>&1;; \
186  esac
187am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
188# Read a list of newline-separated strings from the standard input,
189# and print each of them once, without duplicates.  Input order is
190# *not* preserved.
191am__uniquify_input = $(AWK) '\
192  BEGIN { nonempty = 0; } \
193  { items[$$0] = 1; nonempty = 1; } \
194  END { if (nonempty) { for (i in items) print i; }; } \
195'
196# Make sure the list of sources is unique.  This is necessary because,
197# e.g., the same source file might be shared among _SOURCES variables
198# for different programs/libraries.
199am__define_uniq_tagged_files = \
200  list='$(am__tagged_files)'; \
201  unique=`for i in $$list; do \
202    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
203  done | $(am__uniquify_input)`
204ETAGS = etags
205CTAGS = ctags
206am__tty_colors_dummy = \
207  mgn= red= grn= lgn= blu= brg= std=; \
208  am__color_tests=no
209am__tty_colors = { \
210  $(am__tty_colors_dummy); \
211  if test "X$(AM_COLOR_TESTS)" = Xno; then \
212    am__color_tests=no; \
213  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
214    am__color_tests=yes; \
215  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
216    am__color_tests=yes; \
217  fi; \
218  if test $$am__color_tests = yes; then \
219    red=''; \
220    grn=''; \
221    lgn=''; \
222    blu=''; \
223    mgn=''; \
224    brg=''; \
225    std=''; \
226  fi; \
227}
228am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
229am__vpath_adj = case $$p in \
230    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
231    *) f=$$p;; \
232  esac;
233am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
234am__install_max = 40
235am__nobase_strip_setup = \
236  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
237am__nobase_strip = \
238  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
239am__nobase_list = $(am__nobase_strip_setup); \
240  for p in $$list; do echo "$$p $$p"; done | \
241  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
242  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
243    if (++n[$$2] == $(am__install_max)) \
244      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
245    END { for (dir in files) print dir, files[dir] }'
246am__base_list = \
247  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
248  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
249am__uninstall_files_from_dir = { \
250  test -z "$$files" \
251    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
252    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
253         $(am__cd) "$$dir" && rm -f $$files; }; \
254  }
255am__recheck_rx = ^[ 	]*:recheck:[ 	]*
256am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
257am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
258# A command that, given a newline-separated list of test names on the
259# standard input, print the name of the tests that are to be re-run
260# upon "make recheck".
261am__list_recheck_tests = $(AWK) '{ \
262  recheck = 1; \
263  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
264    { \
265      if (rc < 0) \
266        { \
267          if ((getline line2 < ($$0 ".log")) < 0) \
268	    recheck = 0; \
269          break; \
270        } \
271      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
272        { \
273          recheck = 0; \
274          break; \
275        } \
276      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
277        { \
278          break; \
279        } \
280    }; \
281  if (recheck) \
282    print $$0; \
283  close ($$0 ".trs"); \
284  close ($$0 ".log"); \
285}'
286# A command that, given a newline-separated list of test names on the
287# standard input, create the global log from their .trs and .log files.
288am__create_global_log = $(AWK) ' \
289function fatal(msg) \
290{ \
291  print "fatal: making $@: " msg | "cat >&2"; \
292  exit 1; \
293} \
294function rst_section(header) \
295{ \
296  print header; \
297  len = length(header); \
298  for (i = 1; i <= len; i = i + 1) \
299    printf "="; \
300  printf "\n\n"; \
301} \
302{ \
303  copy_in_global_log = 1; \
304  global_test_result = "RUN"; \
305  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
306    { \
307      if (rc < 0) \
308         fatal("failed to read from " $$0 ".trs"); \
309      if (line ~ /$(am__global_test_result_rx)/) \
310        { \
311          sub("$(am__global_test_result_rx)", "", line); \
312          sub("[ 	]*$$", "", line); \
313          global_test_result = line; \
314        } \
315      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
316        copy_in_global_log = 0; \
317    }; \
318  if (copy_in_global_log) \
319    { \
320      rst_section(global_test_result ": " $$0); \
321      while ((rc = (getline line < ($$0 ".log"))) != 0) \
322      { \
323        if (rc < 0) \
324          fatal("failed to read from " $$0 ".log"); \
325        print line; \
326      }; \
327      printf "\n"; \
328    }; \
329  close ($$0 ".trs"); \
330  close ($$0 ".log"); \
331}'
332# Restructured Text title.
333am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
334# Solaris 10 'make', and several other traditional 'make' implementations,
335# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
336# by disabling -e (using the XSI extension "set +e") if it's set.
337am__sh_e_setup = case $$- in *e*) set +e;; esac
338# Default flags passed to test drivers.
339am__common_driver_flags = \
340  --color-tests "$$am__color_tests" \
341  --enable-hard-errors "$$am__enable_hard_errors" \
342  --expect-failure "$$am__expect_failure"
343# To be inserted before the command running the test.  Creates the
344# directory for the log if needed.  Stores in $dir the directory
345# containing $f, in $tst the test, in $log the log.  Executes the
346# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
347# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
348# will run the test scripts (or their associated LOG_COMPILER, if
349# thy have one).
350am__check_pre = \
351$(am__sh_e_setup);					\
352$(am__vpath_adj_setup) $(am__vpath_adj)			\
353$(am__tty_colors);					\
354srcdir=$(srcdir); export srcdir;			\
355case "$@" in						\
356  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
357    *) am__odir=.;; 					\
358esac;							\
359test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
360  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
361if test -f "./$$f"; then dir=./;			\
362elif test -f "$$f"; then dir=;				\
363else dir="$(srcdir)/"; fi;				\
364tst=$$dir$$f; log='$@'; 				\
365if test -n '$(DISABLE_HARD_ERRORS)'; then		\
366  am__enable_hard_errors=no; 				\
367else							\
368  am__enable_hard_errors=yes; 				\
369fi; 							\
370case " $(XFAIL_TESTS) " in				\
371  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
372    am__expect_failure=yes;;				\
373  *)							\
374    am__expect_failure=no;;				\
375esac; 							\
376$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
377# A shell command to get the names of the tests scripts with any registered
378# extension removed (i.e., equivalently, the names of the test logs, with
379# the '.log' extension removed).  The result is saved in the shell variable
380# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
381# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
382# since that might cause problem with VPATH rewrites for suffix-less tests.
383# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
384am__set_TESTS_bases = \
385  bases='$(TEST_LOGS)'; \
386  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
387  bases=`echo $$bases`
388RECHECK_LOGS = $(TEST_LOGS)
389AM_RECURSIVE_TARGETS = check recheck
390TEST_SUITE_LOG = test-suite.log
391am__test_logs1 = $(TESTS:=.log)
392am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
393TEST_LOGS = $(am__test_logs2:.sh.log=.log)
394SH_LOG_DRIVER = $(SHELL) $(top_srcdir)/bin/test-driver
395SH_LOG_COMPILE = $(SH_LOG_COMPILER) $(AM_SH_LOG_FLAGS) $(SH_LOG_FLAGS)
396am__set_b = \
397  case '$@' in \
398    */*) \
399      case '$*' in \
400        */*) b='$*';; \
401          *) b=`echo '$@' | sed 's/\.log$$//'`; \
402       esac;; \
403    *) \
404      b='$*';; \
405  esac
406am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/h52giftest.sh.in \
407	$(top_srcdir)/bin/depcomp $(top_srcdir)/bin/mkinstalldirs \
408	$(top_srcdir)/bin/test-driver $(top_srcdir)/config/commence.am \
409	$(top_srcdir)/config/conclude.am
410DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
411ACLOCAL = @ACLOCAL@
412ADD_PARALLEL_FILES = @ADD_PARALLEL_FILES@
413AMTAR = @AMTAR@
414
415# H5_CFLAGS holds flags that should be used when building hdf5,
416# but which should not be exported to h5cc for building other programs.
417# AM_CFLAGS is an automake construct which should be used by Makefiles
418# instead of CFLAGS, as CFLAGS is reserved solely for the user to define.
419# This applies to FCFLAGS, CXXFLAGS, CPPFLAGS, and LDFLAGS as well.
420AM_CFLAGS = @AM_CFLAGS@ @H5_CFLAGS@
421
422# Include src and tools/lib directories
423AM_CPPFLAGS = @AM_CPPFLAGS@ @H5_CPPFLAGS@ -I$(top_srcdir)/src \
424	-I$(top_srcdir)/tools/lib -I$(top_srcdir)/hl/src
425AM_CXXFLAGS = @AM_CXXFLAGS@ @H5_CXXFLAGS@
426AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
427AM_FCFLAGS = @AM_FCFLAGS@ @H5_FCFLAGS@
428AM_LDFLAGS = @AM_LDFLAGS@ @H5_LDFLAGS@
429AM_MAKEFLAGS = @AM_MAKEFLAGS@
430AR = @AR@
431AUTOCONF = @AUTOCONF@
432AUTOHEADER = @AUTOHEADER@
433AUTOMAKE = @AUTOMAKE@
434AWK = @AWK@
435BYTESEX = @BYTESEX@
436CC = @CC@
437CCDEPMODE = @CCDEPMODE@
438CC_VERSION = @CC_VERSION@
439CFLAGS = @CFLAGS@
440CLEARFILEBUF = @CLEARFILEBUF@
441CODESTACK = @CODESTACK@
442CONFIG_DATE = @CONFIG_DATE@
443CONFIG_MODE = @CONFIG_MODE@
444CONFIG_USER = @CONFIG_USER@
445CPP = @CPP@
446CPPFLAGS = @CPPFLAGS@
447CXX = @CXX@
448CXXCPP = @CXXCPP@
449CXXDEPMODE = @CXXDEPMODE@
450CXXFLAGS = @CXXFLAGS@
451CXX_VERSION = @CXX_VERSION@
452CYGPATH_W = @CYGPATH_W@
453DEBUG_PKG = @DEBUG_PKG@
454DEFAULT_API_VERSION = @DEFAULT_API_VERSION@
455DEFS = @DEFS@
456DEPDIR = @DEPDIR@
457DEPRECATED_SYMBOLS = @DEPRECATED_SYMBOLS@
458DIRECT_VFD = @DIRECT_VFD@
459DLLTOOL = @DLLTOOL@
460DSYMUTIL = @DSYMUTIL@
461DUMPBIN = @DUMPBIN@
462ECHO_C = @ECHO_C@
463ECHO_N = @ECHO_N@
464ECHO_T = @ECHO_T@
465EGREP = @EGREP@
466EXEEXT = @EXEEXT@
467EXTERNAL_FILTERS = @EXTERNAL_FILTERS@
468
469# Make sure that these variables are exported to the Makefiles
470F9XMODEXT = @F9XMODEXT@
471F9XMODFLAG = @F9XMODFLAG@
472F9XSUFFIXFLAG = @F9XSUFFIXFLAG@
473FC = @FC@
474FC2003 = @FC2003@
475FCFLAGS = @FCFLAGS@
476FCFLAGS_f90 = @FCFLAGS_f90@
477FCLIBS = @FCLIBS@
478FC_VERSION = @FC_VERSION@
479FGREP = @FGREP@
480FSEARCH_DIRS = @FSEARCH_DIRS@
481GREP = @GREP@
482H5_CFLAGS = @H5_CFLAGS@
483H5_CPPFLAGS = @H5_CPPFLAGS@
484H5_CXXFLAGS = @H5_CXXFLAGS@
485H5_FCFLAGS = @H5_FCFLAGS@
486H5_FORTRAN_SHARED = @H5_FORTRAN_SHARED@
487H5_LDFLAGS = @H5_LDFLAGS@
488H5_VERSION = @H5_VERSION@
489HADDR_T = @HADDR_T@
490HAVE_DMALLOC = @HAVE_DMALLOC@
491HAVE_FORTRAN_2003 = @HAVE_FORTRAN_2003@
492HAVE_PTHREAD = @HAVE_PTHREAD@
493HDF5_HL = @HDF5_HL@
494HDF5_INTERFACES = @HDF5_INTERFACES@
495HDF_CXX = @HDF_CXX@
496HDF_FORTRAN = @HDF_FORTRAN@
497HDF_FORTRAN2003 = @HDF_FORTRAN2003@
498HID_T = @HID_T@
499HL = @HL@
500HL_FOR = @HL_FOR@
501HSIZE_T = @HSIZE_T@
502HSSIZE_T = @HSSIZE_T@
503INSTALL = @INSTALL@
504INSTALL_DATA = @INSTALL_DATA@
505INSTALL_PROGRAM = @INSTALL_PROGRAM@
506INSTALL_SCRIPT = @INSTALL_SCRIPT@
507INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
508INSTRUMENT = @INSTRUMENT@
509INSTRUMENT_LIBRARY = @INSTRUMENT_LIBRARY@
510LD = @LD@
511LDFLAGS = @LDFLAGS@
512LIBOBJS = @LIBOBJS@
513LIBS = @LIBS@
514LIBTOOL = @LIBTOOL@
515LIPO = @LIPO@
516LL_PATH = @LL_PATH@
517LN_S = @LN_S@
518LTLIBOBJS = @LTLIBOBJS@
519LT_STATIC_EXEC = @LT_STATIC_EXEC@
520LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
521MAINT = @MAINT@
522MAKEINFO = @MAKEINFO@
523MANIFEST_TOOL = @MANIFEST_TOOL@
524MKDIR_P = @MKDIR_P@
525MPE = @MPE@
526NM = @NM@
527NMEDIT = @NMEDIT@
528OBJDUMP = @OBJDUMP@
529OBJECT_NAMELEN_DEFAULT_F = @OBJECT_NAMELEN_DEFAULT_F@
530OBJEXT = @OBJEXT@
531OTOOL = @OTOOL@
532OTOOL64 = @OTOOL64@
533PACKAGE = @PACKAGE@
534PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
535PACKAGE_NAME = @PACKAGE_NAME@
536PACKAGE_STRING = @PACKAGE_STRING@
537PACKAGE_TARNAME = @PACKAGE_TARNAME@
538PACKAGE_URL = @PACKAGE_URL@
539PACKAGE_VERSION = @PACKAGE_VERSION@
540PARALLEL = @PARALLEL@
541PATH_SEPARATOR = @PATH_SEPARATOR@
542PERL = @PERL@
543RANLIB = @RANLIB@
544ROOT = @ROOT@
545RUNPARALLEL = @RUNPARALLEL@
546RUNSERIAL = @RUNSERIAL@
547R_INTEGER = @R_INTEGER@
548R_LARGE = @R_LARGE@
549SEARCH = @SEARCH@
550SED = @SED@
551SET_MAKE = @SET_MAKE@
552SHELL = @SHELL@
553SIZE_T = @SIZE_T@
554STATIC_EXEC = @STATIC_EXEC@
555STATIC_SHARED = @STATIC_SHARED@
556STRICT_FORMAT_CHECKS = @STRICT_FORMAT_CHECKS@
557STRIP = @STRIP@
558TESTPARALLEL = @TESTPARALLEL@
559THREADSAFE = @THREADSAFE@
560TIME = @TIME@
561TR = @TR@
562TRACE_API = @TRACE_API@
563UNAME_CYGWIN = @UNAME_CYGWIN@
564UNAME_INFO = @UNAME_INFO@
565USE_FILTER_DEFLATE = @USE_FILTER_DEFLATE@
566USE_FILTER_SZIP = @USE_FILTER_SZIP@
567USINGMEMCHECKER = @USINGMEMCHECKER@
568VERSION = @VERSION@
569WORDS_BIGENDIAN = @WORDS_BIGENDIAN@
570abs_builddir = @abs_builddir@
571abs_srcdir = @abs_srcdir@
572abs_top_builddir = @abs_top_builddir@
573abs_top_srcdir = @abs_top_srcdir@
574ac_ct_AR = @ac_ct_AR@
575ac_ct_CC = @ac_ct_CC@
576ac_ct_CXX = @ac_ct_CXX@
577ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
578ac_ct_FC = @ac_ct_FC@
579am__include = @am__include@
580am__leading_dot = @am__leading_dot@
581am__quote = @am__quote@
582am__tar = @am__tar@
583am__untar = @am__untar@
584bindir = @bindir@
585build = @build@
586build_alias = @build_alias@
587build_cpu = @build_cpu@
588build_os = @build_os@
589build_vendor = @build_vendor@
590builddir = @builddir@
591datadir = @datadir@
592datarootdir = @datarootdir@
593
594# Install directories that automake doesn't know about
595docdir = $(exec_prefix)/doc
596dvidir = @dvidir@
597enable_shared = @enable_shared@
598enable_static = @enable_static@
599exec_prefix = @exec_prefix@
600fortran_linux_linker_option = @fortran_linux_linker_option@
601host = @host@
602host_alias = @host_alias@
603host_cpu = @host_cpu@
604host_os = @host_os@
605host_vendor = @host_vendor@
606htmldir = @htmldir@
607includedir = @includedir@
608infodir = @infodir@
609install_sh = @install_sh@
610libdir = @libdir@
611libexecdir = @libexecdir@
612localedir = @localedir@
613localstatedir = @localstatedir@
614mandir = @mandir@
615mkdir_p = @mkdir_p@
616oldincludedir = @oldincludedir@
617pdfdir = @pdfdir@
618prefix = @prefix@
619program_transform_name = @program_transform_name@
620psdir = @psdir@
621sbindir = @sbindir@
622sharedstatedir = @sharedstatedir@
623srcdir = @srcdir@
624sysconfdir = @sysconfdir@
625target_alias = @target_alias@
626top_build_prefix = @top_build_prefix@
627top_builddir = @top_builddir@
628top_srcdir = @top_srcdir@
629
630# Shell commands used in Makefiles
631RM = rm -f
632CP = cp
633
634# Some machines need a command to run executables; this is that command
635# so that our tests will run.
636# We use RUNEXEC instead of RUNSERIAL directly because it may be that
637# some tests need to be run with a different command.  Older versions
638# of the makefiles used the command
639# $(LIBTOOL) --mode=execute
640# in some directories, for instance.
641RUNEXEC = $(RUNSERIAL)
642
643# Libraries to link to while building
644LIBHDF5 = $(top_builddir)/src/libhdf5.la
645LIBH5TEST = $(top_builddir)/test/libh5test.la
646LIBH5F = $(top_builddir)/fortran/src/libhdf5_fortran.la
647LIBH5FTEST = $(top_builddir)/fortran/test/libh5test_fortran.la
648LIBH5CPP = $(top_builddir)/c++/src/libhdf5_cpp.la
649LIBH5TOOLS = $(top_builddir)/tools/lib/libh5tools.la
650LIBH5_HL = $(top_builddir)/hl/src/libhdf5_hl.la
651LIBH5F_HL = $(top_builddir)/hl/fortran/src/libhdf5hl_fortran.la
652LIBH5CPP_HL = $(top_builddir)/hl/c++/src/libhdf5_hl_cpp.la
653
654# Note that in svn revision 19400 the '/' after DESTDIR in H5* variables below
655# has been removed. According to the official description of DESTDIR by Gnu at
656# http://www.gnu.org/prep/standards/html_node/DESTDIR.html, DESTDIR is
657# prepended to the normal and complete install path that it precedes for the
658# purpose of installing in a temporary directory which is useful for building
659# rpms and other packages.  The '/' after ${DESTDIR} will be followed by another
660# '/' at the beginning of the normal install path.  When DESTDIR is empty the
661# path then begins with '//', which is incorrect and causes problems at least for
662# Cygwin.
663
664# Scripts used to build examples
665# If only shared libraries have been installed, have h5cc build examples with
666# shared libraries instead of static libraries
667H5CC = ${DESTDIR}$(bindir)/h5cc
668H5CC_PP = ${DESTDIR}$(bindir)/h5pcc
669H5FC = ${DESTDIR}$(bindir)/h5fc
670H5FC_PP = ${DESTDIR}$(bindir)/h5pfc
671H5CPP = ${DESTDIR}$(bindir)/h5c++
672ACLOCAL_AMFLAGS = "-I m4"
673
674# The trace script; this is used on source files from the C library to
675# insert tracing macros.
676TRACE = perl $(top_srcdir)/bin/trace
677
678# .chkexe files are used to mark tests that have run successfully.
679# .chklog files are output from those tests.
680# *.clog and *.clog2 are from the MPE option.
681CHECK_CLEANFILES = *.chkexe *.chklog *.clog *.clog2 *.h5 *.gif
682
683# These are our main targets, the tools
684TEST_SCRIPT = h52giftest.sh
685check_SCRIPTS = $(TEST_SCRIPT)
686
687# Add h52gif and gif2h5 specific linker flags here
688h52gif_LDFLAGS = $(LT_STATIC_EXEC) $(AM_LDFLAGS)
689gif2h5_LDFLAGS = $(LT_STATIC_EXEC) $(AM_LDFLAGS)
690gif2h5_SOURCES = gif2hdf.c gif2mem.c decompress.c gifread.c writehdf.c
691h52gif_SOURCES = hdf2gif.c hdfgifwr.c
692h52gifgentst_SOURCES = h52gifgentst.c
693
694# Programs all depend on the hdf5 library, the tools library, and the HL
695# library.
696LDADD = $(LIBH5_HL) $(LIBH5TOOLS) $(LIBHDF5)
697
698# Automake needs to be taught how to build lib, dyn, progs, and tests targets.
699# These will be filled in automatically for the most part (e.g.,
700# lib_LIBRARIES are built for lib target), but EXTRA_LIB, EXTRA_PROG, and
701# EXTRA_TEST variables are supplied to allow the user to force targets to
702# be built at certain times.
703LIB = $(lib_LIBRARIES) $(lib_LTLIBRARIES) $(noinst_LIBRARIES)                 \
704      $(noinst_LTLIBRARIES) $(check_LIBRARIES) $(check_LTLIBRARIES) $(EXTRA_LIB)
705
706PROGS = $(bin_PROGRAMS) $(bin_SCRIPTS) $(noinst_PROGRAMS) $(noinst_SCRIPTS)   \
707        $(EXTRA_PROG)
708
709chk_TESTS = $(check_PROGRAMS) $(check_SCRIPTS) $(EXTRA_TEST)
710TEST_EXTENSIONS = .sh
711SH_LOG_COMPILER = $(SHELL)
712AM_SH_LOG_FLAGS =
713REALTIMEOUTPUT = $(realtimeOutput)
714TEST_PROG_CHKEXE = $(TEST_PROG:=.chkexe_)
715TEST_PROG_PARA_CHKEXE = $(TEST_PROG_PARA:=.chkexe_)
716TEST_SCRIPT_CHKSH = $(TEST_SCRIPT:=.chkexe_)
717TEST_SCRIPT_PARA_CHKSH = $(TEST_SCRIPT_PARA:=.chkexe_)
718all: all-am
719
720.SUFFIXES:
721.SUFFIXES: .c .lo .log .o .obj .sh .sh$(EXEEXT) .trs
722$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/config/commence.am $(top_srcdir)/config/conclude.am $(am__configure_deps)
723	@for dep in $?; do \
724	  case '$(am__configure_deps)' in \
725	    *$$dep*) \
726	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
727	        && { if test -f $@; then exit 0; else break; fi; }; \
728	      exit 1;; \
729	  esac; \
730	done; \
731	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign hl/tools/gif2h5/Makefile'; \
732	$(am__cd) $(top_srcdir) && \
733	  $(AUTOMAKE) --foreign hl/tools/gif2h5/Makefile
734Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
735	@case '$?' in \
736	  *config.status*) \
737	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
738	  *) \
739	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
740	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
741	esac;
742$(top_srcdir)/config/commence.am $(top_srcdir)/config/conclude.am $(am__empty):
743
744$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
745	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
746
747$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
748	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
749$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
750	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
751$(am__aclocal_m4_deps):
752h52giftest.sh: $(top_builddir)/config.status $(srcdir)/h52giftest.sh.in
753	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
754install-binPROGRAMS: $(bin_PROGRAMS)
755	@$(NORMAL_INSTALL)
756	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
757	if test -n "$$list"; then \
758	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
759	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
760	fi; \
761	for p in $$list; do echo "$$p $$p"; done | \
762	sed 's/$(EXEEXT)$$//' | \
763	while read p p1; do if test -f $$p \
764	 || test -f $$p1 \
765	  ; then echo "$$p"; echo "$$p"; else :; fi; \
766	done | \
767	sed -e 'p;s,.*/,,;n;h' \
768	    -e 's|.*|.|' \
769	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
770	sed 'N;N;N;s,\n, ,g' | \
771	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
772	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
773	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
774	    else { print "f", $$3 "/" $$4, $$1; } } \
775	  END { for (d in files) print "f", d, files[d] }' | \
776	while read type dir files; do \
777	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
778	    test -z "$$files" || { \
779	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
780	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
781	    } \
782	; done
783
784uninstall-binPROGRAMS:
785	@$(NORMAL_UNINSTALL)
786	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
787	files=`for p in $$list; do echo "$$p"; done | \
788	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
789	      -e 's/$$/$(EXEEXT)/' \
790	`; \
791	test -n "$$list" || exit 0; \
792	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
793	cd "$(DESTDIR)$(bindir)" && rm -f $$files
794
795clean-binPROGRAMS:
796	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
797	echo " rm -f" $$list; \
798	rm -f $$list || exit $$?; \
799	test -n "$(EXEEXT)" || exit 0; \
800	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
801	echo " rm -f" $$list; \
802	rm -f $$list
803
804clean-noinstPROGRAMS:
805	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
806	echo " rm -f" $$list; \
807	rm -f $$list || exit $$?; \
808	test -n "$(EXEEXT)" || exit 0; \
809	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
810	echo " rm -f" $$list; \
811	rm -f $$list
812
813gif2h5$(EXEEXT): $(gif2h5_OBJECTS) $(gif2h5_DEPENDENCIES) $(EXTRA_gif2h5_DEPENDENCIES)
814	@rm -f gif2h5$(EXEEXT)
815	$(AM_V_CCLD)$(gif2h5_LINK) $(gif2h5_OBJECTS) $(gif2h5_LDADD) $(LIBS)
816
817h52gif$(EXEEXT): $(h52gif_OBJECTS) $(h52gif_DEPENDENCIES) $(EXTRA_h52gif_DEPENDENCIES)
818	@rm -f h52gif$(EXEEXT)
819	$(AM_V_CCLD)$(h52gif_LINK) $(h52gif_OBJECTS) $(h52gif_LDADD) $(LIBS)
820
821h52gifgentst$(EXEEXT): $(h52gifgentst_OBJECTS) $(h52gifgentst_DEPENDENCIES) $(EXTRA_h52gifgentst_DEPENDENCIES)
822	@rm -f h52gifgentst$(EXEEXT)
823	$(AM_V_CCLD)$(LINK) $(h52gifgentst_OBJECTS) $(h52gifgentst_LDADD) $(LIBS)
824
825mostlyclean-compile:
826	-rm -f *.$(OBJEXT)
827
828distclean-compile:
829	-rm -f *.tab.c
830
831@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/decompress.Po@am__quote@
832@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gif2hdf.Po@am__quote@
833@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gif2mem.Po@am__quote@
834@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gifread.Po@am__quote@
835@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/h52gifgentst.Po@am__quote@
836@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hdf2gif.Po@am__quote@
837@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hdfgifwr.Po@am__quote@
838@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/writehdf.Po@am__quote@
839
840.c.o:
841@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
842@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
843@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
844@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
845@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
846
847.c.obj:
848@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
849@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
850@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
851@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
852@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
853
854.c.lo:
855@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
856@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
857@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
858@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
859@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
860
861mostlyclean-libtool:
862	-rm -f *.lo
863
864clean-libtool:
865	-rm -rf .libs _libs
866
867ID: $(am__tagged_files)
868	$(am__define_uniq_tagged_files); mkid -fID $$unique
869tags: tags-am
870TAGS: tags
871
872tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
873	set x; \
874	here=`pwd`; \
875	$(am__define_uniq_tagged_files); \
876	shift; \
877	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
878	  test -n "$$unique" || unique=$$empty_fix; \
879	  if test $$# -gt 0; then \
880	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
881	      "$$@" $$unique; \
882	  else \
883	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
884	      $$unique; \
885	  fi; \
886	fi
887ctags: ctags-am
888
889CTAGS: ctags
890ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
891	$(am__define_uniq_tagged_files); \
892	test -z "$(CTAGS_ARGS)$$unique" \
893	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
894	     $$unique
895
896GTAGS:
897	here=`$(am__cd) $(top_builddir) && pwd` \
898	  && $(am__cd) $(top_srcdir) \
899	  && gtags -i $(GTAGS_ARGS) "$$here"
900cscopelist: cscopelist-am
901
902cscopelist-am: $(am__tagged_files)
903	list='$(am__tagged_files)'; \
904	case "$(srcdir)" in \
905	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
906	  *) sdir=$(subdir)/$(srcdir) ;; \
907	esac; \
908	for i in $$list; do \
909	  if test -f "$$i"; then \
910	    echo "$(subdir)/$$i"; \
911	  else \
912	    echo "$$sdir/$$i"; \
913	  fi; \
914	done >> $(top_builddir)/cscope.files
915
916distclean-tags:
917	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
918
919# Recover from deleted '.trs' file; this should ensure that
920# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
921# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
922# to avoid problems with "make -n".
923.log.trs:
924	rm -f $< $@
925	$(MAKE) $(AM_MAKEFLAGS) $<
926
927# Leading 'am--fnord' is there to ensure the list of targets does not
928# expand to empty, as could happen e.g. with make check TESTS=''.
929am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
930am--force-recheck:
931	@:
932
933$(TEST_SUITE_LOG): $(TEST_LOGS)
934	@$(am__set_TESTS_bases); \
935	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
936	redo_bases=`for i in $$bases; do \
937	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
938	            done`; \
939	if test -n "$$redo_bases"; then \
940	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
941	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
942	  if $(am__make_dryrun); then :; else \
943	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
944	  fi; \
945	fi; \
946	if test -n "$$am__remaking_logs"; then \
947	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
948	       "recursion detected" >&2; \
949	elif test -n "$$redo_logs"; then \
950	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
951	fi; \
952	if $(am__make_dryrun); then :; else \
953	  st=0;  \
954	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
955	  for i in $$redo_bases; do \
956	    test -f $$i.trs && test -r $$i.trs \
957	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
958	    test -f $$i.log && test -r $$i.log \
959	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
960	  done; \
961	  test $$st -eq 0 || exit 1; \
962	fi
963	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
964	ws='[ 	]'; \
965	results=`for b in $$bases; do echo $$b.trs; done`; \
966	test -n "$$results" || results=/dev/null; \
967	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
968	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
969	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
970	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
971	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
972	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
973	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
974	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
975	  success=true; \
976	else \
977	  success=false; \
978	fi; \
979	br='==================='; br=$$br$$br$$br$$br; \
980	result_count () \
981	{ \
982	    if test x"$$1" = x"--maybe-color"; then \
983	      maybe_colorize=yes; \
984	    elif test x"$$1" = x"--no-color"; then \
985	      maybe_colorize=no; \
986	    else \
987	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
988	    fi; \
989	    shift; \
990	    desc=$$1 count=$$2; \
991	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
992	      color_start=$$3 color_end=$$std; \
993	    else \
994	      color_start= color_end=; \
995	    fi; \
996	    echo "$${color_start}# $$desc $$count$${color_end}"; \
997	}; \
998	create_testsuite_report () \
999	{ \
1000	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1001	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1002	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1003	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1004	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1005	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1006	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1007	}; \
1008	{								\
1009	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1010	    $(am__rst_title);						\
1011	  create_testsuite_report --no-color;				\
1012	  echo;								\
1013	  echo ".. contents:: :depth: 2";				\
1014	  echo;								\
1015	  for b in $$bases; do echo $$b; done				\
1016	    | $(am__create_global_log);					\
1017	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1018	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1019	if $$success; then						\
1020	  col="$$grn";							\
1021	 else								\
1022	  col="$$red";							\
1023	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1024	fi;								\
1025	echo "$${col}$$br$${std}"; 					\
1026	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
1027	echo "$${col}$$br$${std}"; 					\
1028	create_testsuite_report --maybe-color;				\
1029	echo "$$col$$br$$std";						\
1030	if $$success; then :; else					\
1031	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1032	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1033	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1034	  fi;								\
1035	  echo "$$col$$br$$std";					\
1036	fi;								\
1037	$$success || exit 1
1038recheck: all $(check_SCRIPTS)
1039	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1040	@set +e; $(am__set_TESTS_bases); \
1041	bases=`for i in $$bases; do echo $$i; done \
1042	         | $(am__list_recheck_tests)` || exit 1; \
1043	log_list=`for i in $$bases; do echo $$i.log; done`; \
1044	log_list=`echo $$log_list`; \
1045	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1046	        am__force_recheck=am--force-recheck \
1047	        TEST_LOGS="$$log_list"; \
1048	exit $$?
1049.sh.log:
1050	@p='$<'; \
1051	$(am__set_b); \
1052	$(am__check_pre) $(SH_LOG_DRIVER) --test-name "$$f" \
1053	--log-file $$b.log --trs-file $$b.trs \
1054	$(am__common_driver_flags) $(AM_SH_LOG_DRIVER_FLAGS) $(SH_LOG_DRIVER_FLAGS) -- $(SH_LOG_COMPILE) \
1055	"$$tst" $(AM_TESTS_FD_REDIRECT)
1056@am__EXEEXT_TRUE@.sh$(EXEEXT).log:
1057@am__EXEEXT_TRUE@	@p='$<'; \
1058@am__EXEEXT_TRUE@	$(am__set_b); \
1059@am__EXEEXT_TRUE@	$(am__check_pre) $(SH_LOG_DRIVER) --test-name "$$f" \
1060@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1061@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_SH_LOG_DRIVER_FLAGS) $(SH_LOG_DRIVER_FLAGS) -- $(SH_LOG_COMPILE) \
1062@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1063
1064distdir: $(DISTFILES)
1065	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1066	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1067	list='$(DISTFILES)'; \
1068	  dist_files=`for file in $$list; do echo $$file; done | \
1069	  sed -e "s|^$$srcdirstrip/||;t" \
1070	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1071	case $$dist_files in \
1072	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1073			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1074			   sort -u` ;; \
1075	esac; \
1076	for file in $$dist_files; do \
1077	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1078	  if test -d $$d/$$file; then \
1079	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1080	    if test -d "$(distdir)/$$file"; then \
1081	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1082	    fi; \
1083	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1084	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1085	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1086	    fi; \
1087	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1088	  else \
1089	    test -f "$(distdir)/$$file" \
1090	    || cp -p $$d/$$file "$(distdir)/$$file" \
1091	    || exit 1; \
1092	  fi; \
1093	done
1094check-am: all-am
1095	$(MAKE) $(AM_MAKEFLAGS) $(check_SCRIPTS)
1096	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1097check: check-am
1098all-am: Makefile $(PROGRAMS) all-local
1099installdirs:
1100	for dir in "$(DESTDIR)$(bindir)"; do \
1101	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1102	done
1103install: install-am
1104install-exec: install-exec-am
1105install-data: install-data-am
1106uninstall: uninstall-am
1107
1108install-am: all-am
1109	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1110
1111installcheck: installcheck-am
1112install-strip:
1113	if test -z '$(STRIP)'; then \
1114	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1115	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1116	      install; \
1117	else \
1118	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1119	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1120	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1121	fi
1122mostlyclean-generic:
1123	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1124	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1125	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1126
1127clean-generic:
1128
1129distclean-generic:
1130	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1131	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1132
1133maintainer-clean-generic:
1134	@echo "This command is intended for maintainers to use"
1135	@echo "it deletes files that may require special tools to rebuild."
1136clean: clean-am
1137
1138clean-am: clean-binPROGRAMS clean-generic clean-libtool \
1139	clean-noinstPROGRAMS mostlyclean-am
1140
1141distclean: distclean-am
1142	-rm -rf ./$(DEPDIR)
1143	-rm -f Makefile
1144distclean-am: clean-am distclean-compile distclean-generic \
1145	distclean-tags
1146
1147dvi: dvi-am
1148
1149dvi-am:
1150
1151html: html-am
1152
1153html-am:
1154
1155info: info-am
1156
1157info-am:
1158
1159install-data-am:
1160
1161install-dvi: install-dvi-am
1162
1163install-dvi-am:
1164
1165install-exec-am: install-binPROGRAMS
1166
1167install-html: install-html-am
1168
1169install-html-am:
1170
1171install-info: install-info-am
1172
1173install-info-am:
1174
1175install-man:
1176
1177install-pdf: install-pdf-am
1178
1179install-pdf-am:
1180
1181install-ps: install-ps-am
1182
1183install-ps-am:
1184
1185installcheck-am:
1186
1187maintainer-clean: maintainer-clean-am
1188	-rm -rf ./$(DEPDIR)
1189	-rm -f Makefile
1190maintainer-clean-am: distclean-am maintainer-clean-generic
1191
1192mostlyclean: mostlyclean-am
1193
1194mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1195	mostlyclean-libtool mostlyclean-local
1196
1197pdf: pdf-am
1198
1199pdf-am:
1200
1201ps: ps-am
1202
1203ps-am:
1204
1205uninstall-am: uninstall-binPROGRAMS
1206
1207.MAKE: check-am install-am install-strip
1208
1209.PHONY: CTAGS GTAGS TAGS all all-am all-local check check-TESTS \
1210	check-am clean clean-binPROGRAMS clean-generic clean-libtool \
1211	clean-noinstPROGRAMS cscopelist-am ctags ctags-am distclean \
1212	distclean-compile distclean-generic distclean-libtool \
1213	distclean-tags distdir dvi dvi-am html html-am info info-am \
1214	install install-am install-binPROGRAMS install-data \
1215	install-data-am install-dvi install-dvi-am install-exec \
1216	install-exec-am install-html install-html-am install-info \
1217	install-info-am install-man install-pdf install-pdf-am \
1218	install-ps install-ps-am install-strip installcheck \
1219	installcheck-am installdirs maintainer-clean \
1220	maintainer-clean-generic mostlyclean mostlyclean-compile \
1221	mostlyclean-generic mostlyclean-libtool mostlyclean-local pdf \
1222	pdf-am ps ps-am recheck tags tags-am uninstall uninstall-am \
1223	uninstall-binPROGRAMS
1224
1225.PRECIOUS: Makefile
1226
1227
1228# List all build rules defined by HDF5 Makefiles as "PHONY" targets here.
1229# This tells the Makefiles that these targets are not files to be built but
1230# commands that should be executed even if a file with the same name already
1231# exists.
1232.PHONY: build-check-clean build-check-p build-check-s build-lib build-progs \
1233        build-tests check-clean check-install check-p check-s check-vfd \
1234        install-doc lib progs tests uninstall-doc _exec_check-s _test help
1235
1236help:
1237	@$(top_srcdir)/bin/makehelp
1238# lib/progs/tests targets recurse into subdirectories. build-* targets
1239# build files in this directory.
1240build-lib: $(LIB)
1241build-progs: $(LIB) $(PROGS)
1242build-tests: $(LIB) $(PROGS) $(chk_TESTS)
1243
1244# General rule for recursive building targets.
1245# BUILT_SOURCES contain targets that need to be built before anything else
1246# in the directory (e.g., for Fortran type detection)
1247lib progs tests check-s check-p :: $(BUILT_SOURCES)
1248	@$(MAKE) $(AM_MAKEFLAGS) build-$@ || exit 1;
1249	@for d in X $(SUBDIRS); do                                             \
1250	    if test $$d != X && test $$d != .; then                           \
1251	        (set -x; cd $$d && $(MAKE) $(AM_MAKEFLAGS) $@) || exit 1;     \
1252	    fi;                                                               \
1253	done
1254
1255# General rule for recursive cleaning targets.  Like the rule above,
1256# but doesn't require building BUILT_SOURCES.
1257check-clean ::
1258	@$(MAKE) $(AM_MAKEFLAGS) build-$@ || exit 1;
1259	@for d in X $(SUBDIRS); do                                             \
1260	    if test $$d != X && test $$d != .; then                           \
1261	        (set -x; cd $$d && $(MAKE) $(AM_MAKEFLAGS) $@) || exit 1;     \
1262	    fi;                                                               \
1263	done
1264
1265# Tell Automake to build tests when the user types `make all' (this is
1266# not its default behavior).  Also build EXTRA_LIB and EXTRA_PROG since
1267# Automake won't build them automatically, either.
1268all-local: $(EXTRA_LIB) $(EXTRA_PROG) $(chk_TESTS)
1269
1270# make install-doc doesn't do anything outside of doc directory, but
1271# Makefiles should recognize it.
1272# UPDATE: docs no longer reside in this build tree, so this target
1273# is depreciated.
1274install-doc uninstall-doc:
1275	@echo "Nothing to be done."
1276
1277# clean up files generated by tests so they can be re-run.
1278build-check-clean:
1279	$(RM) -rf $(CHECK_CLEANFILES)
1280
1281# run check-clean whenever mostlyclean is run
1282mostlyclean-local: build-check-clean
1283
1284# check-install is just a synonym for installcheck
1285check-install: installcheck
1286
1287# Run each test in order, passing $(TEST_FLAGS) to the program.
1288# Since tests are done in a shell loop, "make -i" does apply inside it.
1289# Set HDF5_Make_Ignore to a non-blank string to ignore errors inside the loop.
1290# The timestamps give a rough idea how much time the tests use.
1291#
1292# Note that targets in chk_TESTS (defined above) will be built when the user
1293# types 'make tests' or 'make check', but only programs in TEST_PROG,
1294# TEST_PROG_PARA, or TEST_SCRIPT will actually be executed.
1295check-TESTS: test
1296
1297test _test:
1298	@$(MAKE) build-check-s
1299	@$(MAKE) build-check-p
1300
1301# Actual execution of check-s.
1302build-check-s: $(LIB) $(PROGS) $(chk_TESTS)
1303	@if test -n "$(TEST_PROG)$(TEST_SCRIPT)"; then      \
1304	   echo "===Serial tests in `echo ${PWD} | sed -e s:.*/::` begin `date`==="; \
1305	fi
1306	@$(MAKE) $(AM_MAKEFLAGS) _exec_check-s
1307	@if test -n "$(TEST_PROG)$(TEST_SCRIPT)"; then      \
1308	    echo "===Serial tests in `echo ${PWD} | sed -e s:.*/::` ended `date`===";\
1309	fi
1310
1311_exec_check-s: $(TEST_PROG_CHKEXE) $(TEST_SCRIPT_CHKSH)
1312
1313# The dummy.chkexe here prevents the target from being
1314# empty if there are no tests in the current directory.
1315# $${log} is the log file.
1316# $${tname} is the name of test.
1317$(TEST_PROG_CHKEXE) $(TEST_PROG_PARA_CHKEXE) dummy.chkexe_:
1318	@if test "X$@" != "X.chkexe_" && test "X$@" != "Xdummy.chkexe_"; then \
1319	   tname=$(@:.chkexe_=)$(EXEEXT);\
1320	   log=$(@:.chkexe_=.chklog); \
1321	   echo "============================"; \
1322	   if $(top_srcdir)/bin/newer $(@:.chkexe_=.chkexe) $${tname}; then \
1323	      echo "No need to test $${tname} again."; \
1324	   else \
1325              if test -n "$(REALTIMEOUTPUT)"; then \
1326                 echo "============================" | tee $${log}; \
1327              else \
1328                 echo "============================" > $${log}; \
1329              fi; \
1330              if test "X$(FORTRAN_API)" = "Xyes"; then \
1331                 echo "Fortran API: Testing $(HDF5_DRIVER) $${tname} $(TEST_FLAGS)"; \
1332                 if test -n "$(REALTIMEOUTPUT)"; then \
1333                    echo "Fortran API: $(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" | tee -a $${log}; \
1334                 else \
1335                    echo "Fortran API: $(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1336                 fi; \
1337              elif test "X$(CXX_API)" = "Xyes"; then \
1338                 echo "C++ API: Testing $(HDF5_DRIVER) $${tname} $(TEST_FLAGS)"; \
1339                 if test -n "$(REALTIMEOUTPUT)"; then \
1340                    echo "C++ API: $(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" | tee -a $${log};\
1341                 else \
1342                    echo "C++ API: $(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" >> $${log};\
1343                 fi; \
1344              else \
1345                 echo "Testing $(HDF5_DRIVER) $${tname} $(TEST_FLAGS)"; \
1346                 if test -n "$(REALTIMEOUTPUT)"; then \
1347                    echo "$(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" | tee -a $${log}; \
1348                 else \
1349                    echo "$(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1350                 fi; \
1351              fi; \
1352              if test -n "$(REALTIMEOUTPUT)"; then \
1353                 echo "============================" | tee -a $${log}; \
1354              else \
1355                 echo "============================" >> $${log}; \
1356              fi; \
1357              if test -n "$(REALTIMEOUTPUT)"; then \
1358                 srcdir="$(srcdir)" \
1359                 $(TIME) $(RUNEXEC) ./$${tname} $(TEST_FLAGS) | tee -a $${log} 2>&1 \
1360                 && touch $(@:.chkexe_=.chkexe) || \
1361                 (test $$HDF5_Make_Ignore && echo "*** Error ignored") || \
1362                 (cat $${log} && false) || exit 1; \
1363              else \
1364                 srcdir="$(srcdir)" \
1365                 $(TIME) $(RUNEXEC) ./$${tname} $(TEST_FLAGS) >> $${log} 2>&1 \
1366                 && touch $(@:.chkexe_=.chkexe) || \
1367                 (test $$HDF5_Make_Ignore && echo "*** Error ignored") || \
1368                 (cat $${log} && false) || exit 1; \
1369              fi; \
1370	      echo "" >> $${log}; \
1371              if test -n "$(REALTIMEOUTPUT)"; then \
1372                 echo "Finished testing $${tname} $(TEST_FLAGS)" | tee -a $${log}; \
1373                 echo "============================" | tee -a $${log}; \
1374              else \
1375                 echo "Finished testing $${tname} $(TEST_FLAGS)" >> $${log}; \
1376                 echo "============================" >> $${log}; \
1377              fi; \
1378              if test -z "$(REALTIMEOUTPUT)"; then \
1379                 cat $${log}; \
1380              fi; \
1381	   fi; \
1382	fi
1383
1384# The dummysh.chkexe here prevents the target from being
1385# empty if there are no tests in the current directory.
1386# $${log} is the log file.
1387# $${tname} is the name of test.
1388$(TEST_SCRIPT_CHKSH) $(TEST_SCRIPT_PARA_CHKSH) dummysh.chkexe_:
1389	@if test "X$@" != "X.chkexe_" && test "X$@" != "Xdummysh.chkexe_"; then \
1390	   cmd=$(@:.chkexe_=);\
1391	   tname=`basename $$cmd`;\
1392	   chkname=`basename $(@:.chkexe_=.chkexe)`;\
1393	   log=`basename $(@:.chkexe_=.chklog)`; \
1394	   echo "============================"; \
1395	   if $(top_srcdir)/bin/newer $${chkname} $$cmd $(SCRIPT_DEPEND); then \
1396	      echo "No need to test $${tname} again."; \
1397	   else \
1398	      echo "============================" > $${log}; \
1399	      if test "X$(FORTRAN_API)" = "Xyes"; then \
1400	         echo "Fortran API: Testing $${tname} $(TEST_FLAGS)"; \
1401	         echo "Fortran API: $${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1402	      elif test "X$(CXX_API)" = "Xyes"; then \
1403	         echo "C++ API: Testing $${tname} $(TEST_FLAGS)"; \
1404	         echo "C++ API: $${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1405	      else \
1406	         echo "Testing $${tname} $(TEST_FLAGS)"; \
1407	         echo "$${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1408	      fi; \
1409	      echo "============================" >> $${log}; \
1410	      RUNSERIAL="$(RUNSERIAL)" RUNPARALLEL="$(RUNPARALLEL)"           \
1411	      srcdir="$(srcdir)" \
1412	         $(TIME) $(SHELL) $$cmd $(TEST_FLAGS) >> $${log} 2>&1 \
1413	         && touch $${chkname} || \
1414	         (test $$HDF5_Make_Ignore && echo "*** Error ignored") || \
1415	         (cat $${log} && false) || exit 1; \
1416	      echo "" >> $${log}; \
1417	      echo "Finished testing $${tname} $(TEST_FLAGS)" >> $${log}; \
1418	      echo "============================" >> $${log}; \
1419	      echo "Finished testing $${tname} $(TEST_FLAGS)"; \
1420	      cat $${log}; \
1421	   fi; \
1422	   echo "============================"; \
1423	fi
1424
1425# Actual execution of check-p.
1426build-check-p: $(LIB) $(PROGS) $(chk_TESTS)
1427	@if test -n "$(TEST_PROG_PARA)$(TEST_SCRIPT_PARA)"; then      \
1428	   echo "===Parallel tests in `echo ${PWD} | sed -e s:.*/::` begin `date`==="; \
1429	fi
1430	@if test -n "$(TEST_PROG_PARA)"; then                                \
1431	    echo "**** Hint ****";                                            \
1432	    echo "Parallel test files reside in the current directory"        \
1433	         "by default.";                                               \
1434	    echo "Set HDF5_PARAPREFIX to use another directory. E.g.,";       \
1435	    echo "    HDF5_PARAPREFIX=/PFS/user/me";                          \
1436	    echo "    export HDF5_PARAPREFIX";                                \
1437	    echo "    make check";                                            \
1438	    echo "**** end of Hint ****";                                     \
1439	fi
1440	@for test in $(TEST_PROG_PARA) dummy; do                             \
1441	   if test $$test != dummy; then                                      \
1442	      $(MAKE) $(AM_MAKEFLAGS) $$test.chkexe_ \
1443	      RUNEXEC="$(RUNPARALLEL)" || exit 1; \
1444	   fi;                                                                \
1445	done
1446	@for test in $(TEST_SCRIPT_PARA) dummy; do                           \
1447	  if test $$test != dummy; then                                      \
1448	    $(MAKE) $(AM_MAKEFLAGS) $$test.chkexe_ || exit 1; \
1449	  fi;                                                                 \
1450	done
1451	@if test -n "$(TEST_PROG_PARA)$(TEST_SCRIPT_PARA)"; then      \
1452	    echo "===Parallel tests in `echo ${PWD} | sed -e s:.*/::` ended `date`===";\
1453	fi
1454
1455# Run test with different Virtual File Driver
1456check-vfd: $(LIB) $(PROGS) $(chk_TESTS)
1457	@for vfd in $(VFD_LIST) dummy; do                                     \
1458	    if test $$vfd != dummy; then                                      \
1459	        echo "============================";                          \
1460	        echo "Testing Virtual File Driver $$vfd";                     \
1461	        echo "============================";                          \
1462	        $(MAKE) $(AM_MAKEFLAGS) check-clean || exit 1;                \
1463	        HDF5_DRIVER=$$vfd $(MAKE) $(AM_MAKEFLAGS) check || exit 1;    \
1464	    fi;                                                               \
1465	done
1466
1467# Tell versions [3.59,3.63) of GNU make to not export all variables.
1468# Otherwise a system limit (for SysV at least) may be exceeded.
1469.NOEXPORT:
1470